Peplink Portal Docs

Search SIMs

Search sims under your partner account by different criteria.

Request

GET/sims/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

querystringoptional

Search query string.

simTypeenumoptional

Filter results by sim type.

  • PHYSICAL — Physical SIM
  • EMBEDDED — eSIM
deviceTypeenumoptional

Filter results by device type.

  • PEPLINK — Linked with a Peplink Device
  • NON_PEPLINK — 3rd-party SIM
billingTypeenumoptional

Filter results by billing type.

  • PREPAID — Prepaid SIM
  • POSTPAID — Postpaid SIM
dataRegionenumoptional

Filter results by data region.

  • GLOBAL — Global data plan
  • US — NA & EU data plan
tagIdsstring arrayoptional

Filter results by tag IDs.

iccidsstring arrayoptional

Filter results by iccids.

snsstring arrayoptional

Filter results by Peplink serial numbers.

sortByPostpaidMonthlyUsageYearintegeroptional

Sort results by postpaid monthly usage of the specified year. Minimum value allowed is 2022.

Effective only for postpaid sims. Use these parameters (billingType=POSTPAID, sortByPostpaidMonthlyUsageYear, sortByPostpaidMonthlyUsageMonth) at the same time.

sortByPostpaidMonthlyUsageMonthintegeroptional

Sort results by postpaid monthly usage of the specified month. Allowed value can range between 1 and 12.

Effective only for postpaid sims. Use these parameters (billingType=POSTPAID, sortByPostpaidMonthlyUsageYear, sortByPostpaidMonthlyUsageMonth) at the same time.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns records found for the current page of search result.

Show child attributes
items.iccidstring

ICCID of the sim.

items.tagIdsstring array

Tag IDs of the sim.

items.simTypeenum

Type of the sim.

  • PHYSICAL — Physical SIM
  • EMBEDDED — eSIM
items.deviceTypeenum

Device type of the sim.

  • PEPLINK — Linked with a Peplink Device
  • NON_PEPLINK — 3rd-party SIM
items.billingTypeenum

Billing type of the sim.

  • PREPAID — Prepaid SIM
  • POSTPAID — Postpaid SIM
items.orderNumberstring

Order number of the sim.

items.orderedAtdatetime string

Time of when the sim is ordered.

items.peplinkDeviceSnnullable string

SN (serial number) of Peplink device linked to the sim. null if not applicable.

items.imeinullable string

IMEI of Peplink device linked to the sim. null if not applicable.

items.eidnullable string

EID of Peplink device linked to the sim. null if not applicable.

items.dataRegionnullable enum

Data region of the sim.

  • GLOBAL — Global data plan
  • US — NA & EU data plan
items.activationCodenullable string

Activate code of the sim. null if not applicable.

items.postpaidMonthlyUsagesnullable object array

Postpaid monthly usages of the sim. null if not applicable.

Show child attributes
items.postpaidMonthlyUsages.yearinteger

Year of the usage.

items.postpaidMonthlyUsages.monthinteger

Month of the usage.

items.postpaidMonthlyUsages.usageMbnumber

Used data volume (in MB) of the usage.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/search?pageNum=1&pageSize=5' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "iccid": "89000000000000000000",
      "tagIds": [],
      "simType": "EMBEDDED",
      "deviceType": "NON_PEPLINK",
      "billingType": "PREPAID",
      "orderNumber": "AEXXXXXXX",
      "orderedAt": "2025-02-06T01:25:20.000Z",
      "peplinkDeviceSn": null,
      "imei": null,
      "eid": null,
      "dataRegion": "GLOBAL",
      "activationCode": "LKDLSKJDLAKSJDLKASJDKLSADSA",
      "postpaidMonthlyUsages": null
    }
  ]
}

On this page